#include <main.h>
#include <usb_cdc.h>
#use rs232(UART1,baud=57600,parity=N,bits=8)
char data_rs232;
short data_rs232_presente;

#int_RDA
void  RDA_isr(void) 
{
       data_rs232 = getc();   // acquisition RS232
       data_rs232_presente = true;
}

void main()
{
   data_rs232_presente = false;
   setup_oscillator(OSC_PLL_ON); delay_ms(50) ;// active pll PASSE 
   setup_timer_3(T3_DISABLED | T3_DIV_BY_1);
   setup_timer_4(T4_DISABLED,0,1);
   setup_comparator(NC_NC_NC_NC);// This device COMP currently not supported by the PICWizard
   usb_init_cs();   
   enable_interrupts(INT_RDA);
   enable_interrupts(GLOBAL);  
   while(TRUE)
   {
      usb_task ();  
      if (usb_cdc_kbhit ()) 
            putc(usb_cdc_getc ()); // USB - - > RS232
     if (data_rs232_presente)
         {
         usb_cdc_putc(data_rs232); // RS232 - - > USB     
         data_rs232_presente =  false;
         }     
 }
}
